package com.pmease.quickbuild.plugin.notifier.msn;

import javax.inject.Inject;

import org.osgi.framework.BundleContext;

import com.pmease.quickbuild.pluginsupport.AbstractPlugin;
import com.pmease.quickbuild.pluginsupport.PluginCategory;

public class MsnPlugin extends AbstractPlugin {
	
	@Inject
	MsnPlugin() {
	}
	
	@Override
	public void start(BundleContext context) throws Exception {
		super.start(context);

	}

	@Override
	public void stop(BundleContext context) throws Exception {
		super.stop(context);
		// msn.logout();
	}

	@Override
	public Object[] getExtensions() {
		return new Object[] { 
				new MsnNotifier(MsnPlugin.this)
		};
	}

	@Override
	public Class<?> getSettingClass() {
		return MsnSetting.class;
	}

	@Override
	public Class<?> getUserSettingClass() {
		return MsnUserSetting.class;
	}
	
	@Override
	public Class<?> getConfigurationSettingClass() {
		return MsnNotificationTemplate.class;
	}
	
	@Override
	public PluginCategory getCategory() {
		return PluginCategory.NOTIFIER;
	}

}
